Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QSizePolicy

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QSizePolicy class reference

### Public Functions

- QSizePolicy ( SizeType hor, SizeType ver, bool hfw )
- QSizePolicy ( SizeType hor, SizeType ver, uchar hors, uchar vers, bool hfw = false )
- SizeType horData () const
- uint horStretch () const
- void setHorData ( SizeType d )
- void setHorStretch ( uchar sf )
- void setVerData ( SizeType d )
- void setVerStretch ( uchar sf )
- SizeType verData () const
- uint verStretch () const

## Member Function Documentation

### QSizePolicy::QSizePolicy ( SizeType hor, SizeType ver, bool hfw )

### QSizePolicy::QSizePolicy ( SizeType hor, SizeType ver, uchar hors, uchar vers, bool hfw = false )

### SizeType QSizePolicy::horData () const

### uint QSizePolicy::horStretch () const

### void QSizePolicy::setHorData ( SizeType d )

### void QSizePolicy::setHorStretch ( uchar sf )

### void QSizePolicy::setVerData ( SizeType d )

### void QSizePolicy::setVerStretch ( uchar sf )

### SizeType QSizePolicy::verData () const

### uint QSizePolicy::verStretch () const